Bug 104347 - can not create shared object with -Bsymbolic
can not create shared object with -Bsymbolic
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: binutils (Show other bugs)
2.1
All Linux
high Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-12 18:38 EDT by umut
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:24:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description umut 2003-09-12 18:38:11 EDT
Description of problem:Can not create shared object with -Bsymbolic; gives 
compilation error.


Version-Release number of selected component (if applicable):
gcc3-3.0.4-1
ld version 2.11.90.0.8

How reproducible:
always

Steps to Reproduce:
1.compile and run the below repro

m.c:
main()
{
a();
}

a.c:
a()
{
 call_func();
}
call_func()
{
 printf("calling b() ...\n");
b();
}

b.c:
b()
{
call_func();
}
call_func()
{
 printf("calling c() ...\n");
c();
}

c.c:
c()
{
printf("This is c().\n");
}

gcc3 -fPIC -c a.c
gcc3 -fPIC -c b.c
gcc3 -fPIC -c c.c
gcc3 -fPIC -c m.c
gcc3 -Wl,-Bsymbolic -shared -o a.sl a.o
a.o: In function 'call_func':
a.c:12: undefined reference to 'b'
collect2: ld returned 1 exit status
Comment 2 Jakub Jelinek 2004-10-25 12:10:07 EDT
This is a linker bug, not gcc bug, present on ia32 as well.
Comment 3 RHEL Product and Program Management 2007-10-19 15:24:11 EDT
This bug is filed against RHEL2.1, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products.  Since
this bug does not meet that criteria, it is now being closed.

For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/

If you feel this bug is indeed mission critical, please contact your
support representative.  You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.